Bug 994189 - Please create a python-pip build for the python 2.7 and 3.3 SCL environments on RHEL 6
Please create a python-pip build for the python 2.7 and 3.3 SCL environments ...
Status: CLOSED ERRATA
Product: Red Hat Software Collections
Classification: Red Hat
Component: python (Show other bugs)
python27
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0
Assigned To: Bohuslav "Slavek" Kabrda
Branislav Náter
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 13:06 EDT by Rob Millner
Modified: 2015-06-04 04:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: python27-python-pip-1.5.6-5.el6 python27-python-pip-1.5.6-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-04 04:28:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SCL spec file for python-pip (4.81 KB, text/x-rpm-spec)
2013-08-06 14:27 EDT, Rob Millner
no flags Details
Updated specfile with virtualenv subpackage (5.48 KB, text/x-rpm-spec)
2013-08-06 21:27 EDT, Rob Millner
no flags Details

  None (edit)
Description Rob Millner 2013-08-06 13:06:59 EDT
OpenShift would like to use virtualenv script with the "--never-download" option for speed and consistency.  Existing virtual environments on OpenShift have downloaded pip and it would be better if we could offer a pre-installed version for new ones.
Comment 2 Rob Millner 2013-08-06 14:27:14 EDT
Created attachment 783461 [details]
SCL spec file for python-pip

Here is the spec file I am using to build our RPM for testing.  Its derived from the python-pip spec file for RHEL 6 on EPEL.
Comment 3 Rob Millner 2013-08-06 20:56:41 EDT
Pip isn't bundled in virtualenv and we want this to work without downloading files (Bug 963660).

I'm going to create a python27-python-pip-virtualenv package that installs the source in virtualenv's cache.  It shouldn't violate the "no bundled libraries" rule since the cached copy of the source is maintained by the pip RPM instead of the virtualenv RPM.
Comment 4 Rob Millner 2013-08-06 21:27:02 EDT
Created attachment 783581 [details]
Updated specfile with virtualenv subpackage

Here's the updated spec file with the virtualenv sub package.  Obsoletes the previous spec file.
Comment 5 Bohuslav "Slavek" Kabrda 2013-08-07 06:24:38 EDT
I really like the idea of providing the python-pip-virtualenv subpackage. If pip is approved for RHSCL, I'll do it this way. Thanks!
Comment 6 Marcela Mašláňová 2013-08-09 03:46:43 EDT
Postponed to RHSCL-1.1, no new packages at this point, only important bug fixes.
Comment 7 Rob Millner 2013-08-16 13:51:36 EDT
Here's the latest build of the one we're using in OpenShift.

https://brewweb.devel.redhat.com/buildinfo?buildID=287705
Comment 9 Joe Orton 2014-11-25 10:22:11 EST
We are not planning a python33 update at this time, so this RFE will cover python27 only.
Comment 13 errata-xmlrpc 2015-06-04 04:28:57 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1064.html

Note You need to log in before you can comment on or make changes to this bug.